http://forum.celestialmatters.org/

Unable to Install Celestia 1.7.0 Dev-7 64bit
http://forum.celestialmatters.org/viewtopic.php?f=3&t=915
Page 1 of 1

Author:  CM1215 [ Wed, 30-08-17, 19:01 GMT ]
Post subject:  Unable to Install Celestia 1.7.0 Dev-7 64bit

Sorry for being inactive for quite a while, but I'm back now.

I have been trying to install the 64bit version of Celestia 1.7.0 dev-7, but it keeps giving me an error. It says that I'm missing two files: fmod64.dll and VCRUNTIME140.dll.

I found fmod64.dll on the website, but I cannot find VCRUNTIME140.dll. Where do I get this file?

Author:  t00fri [ Wed, 30-08-17, 19:21 GMT ]
Post subject:  Re: Unable to Install Celestia 1.7.0 Dev-7 64bit

Hi CM1215,

welcome back! For your info: since 2007, CelestialMatters (CM) is the celestia.Sci Development site , not a Celestia site. Still we try to help if we can. Your question calls for people who are currently closer to Celestia than me ;-). JohnVV looks like a good man for this...

Cheers,
Fridger

Author:  CM1215 [ Wed, 30-08-17, 20:01 GMT ]
Post subject:  Re: Unable to Install Celestia 1.7.0 Dev-7 64bit

I've just submitted my issue to the official Celestia forums. I'm just waiting for it to be approved.

Author:  John Van Vliet [ Mon, 04-09-17, 18:05 GMT ]
Post subject:  Re: Unable to Install Celestia 1.7.0 Dev-7 64bit

from your post i am guessing you are using some UNKNOWN version of MS Windows

for some unknown reason the developer of the windows version decided to include the NON GPL "fmod" sound for plugins

you need to install that missing Microsoft Windows fmod dll
and the Visual Studio 140 runtime dll

as to the 1.7 qt5 code on my git page
i have zero idea if it builds on MS Windows

Author:  Janus [ Tue, 05-09-17, 1:36 GMT ]
Post subject:  Re: Unable to Install Celestia 1.7.0 Dev-7 64bit

There is also a VS2010 branch of celestia 1.7 available.

I took that code as a base and have been working on it.
It now compiles with VS2010/12/13 & QT 5.4/6/8 in 32-bit cleanly, though with conversion warnings.
Warnings consist of double to single float mostly, and others where the type is recast.

The now included sound stuff is a nightmare.
I am considering trimming it out completely.
Testing the above with 32-bit gives erratic crashes on fmod.
I have been collecting the source for the included libs so I can compile them all myself.
Getting them all to compile with VS is a pain, but happening, though 64-bit is being hard.
My one working compile is fine, other than not using a single texture for planets, which is weird.
For reasons I do not understand, changing the other lib files effects whether or not fmod works.

I have also gotten VS2012 64-bit to compile, but every crash has been on fmod.
Though the debug versions of the programs work more often than release, it still crashes a lot.
once I have 64-bit through VS working, I will do the same for QT.


Janus.

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/